import Cookies from 'js-cookie'

const TokenKey = 'ZX-Admin-Token'

const ExpiresInKey = 'Admin-Expires-In'

const CompanyId = 'Company-Id'

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}

export function getCompanyId() {
  return Cookies.get(CompanyId)
}

export function setCompanyId(id) {
  return Cookies.set(CompanyId, id)
}

export function removeCompanyId() {
  return Cookies.remove(CompanyId)
}